{
    "$graph": [
        {
            "class": "Workflow",
            "inputs": [
                {
                    "label": "h5 matrix containing raw counts",
                    "type": "File",
                    "id": "#main/matrix"
                },
                {
                    "label": "Reference type to map data to",
                    "type": "string",
                    "id": "#main/reference"
                },
                {
                    "label": "h5 matrix to save annotations to",
                    "type": "File",
                    "id": "#main/secondary-analysis-matrix"
                }
            ],
            "steps": [
                {
                    "run": "#azimuth-annotate.cwl",
                    "in": [
                        {
                            "source": "#main/matrix",
                            "id": "#main/azimuth/matrix"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/azimuth/reference"
                        },
                        {
                            "source": "#main/secondary-analysis-matrix",
                            "id": "#main/azimuth/secondary_analysis_matrix"
                        }
                    ],
                    "out": [
                        "#main/azimuth/annotated_matrix",
                        "#main/azimuth/version_metadata",
                        "#main/azimuth/annotations_csv"
                    ],
                    "id": "#main/azimuth"
                },
                {
                    "run": "#write-metadata.cwl",
                    "in": [
                        {
                            "source": "#main/azimuth/annotations_csv",
                            "id": "#main/write_metadata/annotations_csv"
                        },
                        {
                            "source": "#main/azimuth/annotated_matrix",
                            "id": "#main/write_metadata/secondary_analysis_matrix"
                        },
                        {
                            "source": "#main/azimuth/version_metadata",
                            "id": "#main/write_metadata/version_metadata"
                        }
                    ],
                    "out": [
                        "#main/write_metadata/annotated_matrix"
                    ],
                    "id": "#main/write_metadata"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "outputSource": "#main/write_metadata/annotated_matrix",
                    "type": "File",
                    "label": "final secondary analysis matrix with all labels and metadata",
                    "id": "#main/azimuth_annotated_h5ad"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "hubmap/azimuth-annotate:1.3"
                }
            ],
            "baseCommand": [
                "Rscript",
                "/azimuth_analysis.R"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#azimuth-annotate.cwl/matrix"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#azimuth-annotate.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#azimuth-annotate.cwl/secondary_analysis_matrix"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "secondary_analysis.h5ad"
                    },
                    "id": "#azimuth-annotate.cwl/annotated_matrix"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "annotations.csv"
                    },
                    "id": "#azimuth-annotate.cwl/annotations_csv"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "version_metadata.json"
                    },
                    "id": "#azimuth-annotate.cwl/version_metadata"
                }
            ],
            "id": "#azimuth-annotate.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "hubmap/azimuth-annotate:1.3"
                }
            ],
            "baseCommand": [
                "python3",
                "/write_metadata.py"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#write-metadata.cwl/annotations_csv"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#write-metadata.cwl/secondary_analysis_matrix"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#write-metadata.cwl/version_metadata"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "secondary_analysis.h5ad"
                    },
                    "id": "#write-metadata.cwl/annotated_matrix"
                }
            ],
            "id": "#write-metadata.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
